Package org.eclipse.net4j.util.security

## Interface IPasswordCredentialsProvider2

- All Superinterfaces:
    `ICredentialsProvider`, `ICredentialsProvider2`, `IPasswordCredentialsProvider`
  All Known Implementing Classes:
    `InteractiveCredentialsProvider`

      public interface IPasswordCredentialsProvider2
      extends IPasswordCredentialsProvider, ICredentialsProvider2

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `IPasswordCredentialsProvider.Provider`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPasswordCredentials` | `getCredentials​(java.lang.String realm)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `isInteractive`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `getCredentials`

- - ### Method Detail

    - #### getCredentials

          IPasswordCredentials getCredentials​(java.lang.String realm)

      Specified by:
        `getCredentials` in interface `ICredentialsProvider2`